
Foreman - Bug #2092

Create host: no freeip suggestion when Subnet description contains parentheses

01/02/2013 03:25 PM - Mikael Fridh

Status: Closed   

Priority: Normal   

Assignee: Mikael Fridh   

Category: Host creation   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Example subnet name: Cabinet 4717 (corp/dev) - when the subnet has this description - the spinner never starts and the "POST

freeip" browser request never gets sent to Foreman.

Associated revisions

Revision 3101210d - 01/03/2013 07:43 AM - Mikael Fridh

fixes #2092 - allow parens in Subnet description

History

#1 - 01/02/2013 04:31 PM - Mikael Fridh

- Assignee changed from Ohad Levy to Mikael Fridh

- % Done changed from 0 to 90

pullrequested: https://github.com/frimik/foreman/commit/b6769a4f31e64c9e55b4066f43f9858c44147426

should be good to go, see no reason why that new regex wouldn't work. Allow all characters and by means of greedy matching it should strip

everything except the last paren group - being the (ip/mask) string.

#2 - 01/03/2013 07:44 AM - Mikael Fridh

- Status changed from New to Closed

- % Done changed from 90 to 100

Applied in changeset 3101210d8acc3d79af4cee36897b7c5e7fee0ee4.
